wreedMH
Hot Shot
Hot Shot

Question on VIBs when upgrading hosts from 6.5 to 6.7

Jump to solution

Have some questions about VUM. We are upgrading several hosts from 6.5 to 6.7 using Dell Customized Images. We are noticing some of the NIC and HBA VIBs do not get upgraded, yet the lsi-msgpt3 does.

Can someone explain to me how and why this works?

1 Solution

Accepted Solutions
daphnissov
Immortal
Immortal

Those drivers encompass a range of Intel and Broadcom NICs across versions that are applicable to 6.5 and 6.7, and they appear to be consecutive. So if you had version 1.9 of i40en on 6.5 and the ISO of 6.7 you were using contained 1.7, it should retain the higher version number because it supersedes the version 1.7.

View solution in original post

6 Replies
daphnissov
Immortal
Immortal

Unless you have specific drivers/VIBs you can point out across these versions I can only say that sometimes, depending on many factors, there may not be a code change required for the same driver architecture between versions.

0 Kudos
wreedMH
Hot Shot
Hot Shot

Question:

If drivers on the 6.5 hosts are newer than the drivers in the 6.7 upgrade package, will it not attempt to upgrade them? I think that is what I am seeing.

0 Kudos
daphnissov
Immortal
Immortal

Again, you'll have to be specific as to those drivers and the VIB names/numbers you're seeing. The "higher" version might only be specific to that ESXi build if there are separate code trees.

0 Kudos
wreedMH
Hot Shot
Hot Shot

i40en

bnxtnet

0 Kudos
daphnissov
Immortal
Immortal

Those drivers encompass a range of Intel and Broadcom NICs across versions that are applicable to 6.5 and 6.7, and they appear to be consecutive. So if you had version 1.9 of i40en on 6.5 and the ISO of 6.7 you were using contained 1.7, it should retain the higher version number because it supersedes the version 1.7.

View solution in original post

wreedMH
Hot Shot
Hot Shot

That is what we were thinking also.

As always, thank you!

0 Kudos